   // Should we automatically check for updates? 
   if (CSettings::Instance()->GetCheckForUpdates()) 
   { 
      // Check if path exists 
      if (PathFileExists(_T("updater\\updater.exe"))) 
      { 
         // Run Updater 
         SHELLEXECUTEINFO ShRun = {0}; 
         ShRun.cbSize = sizeof(SHELLEXECUTEINFO); 
         ShRun.fMask = SEE_MASK_NOCLOSEPROCESS; 
         ShRun.hwnd = NULL; 
         ShRun.lpVerb = NULL; 
         ShRun.lpFile = _T("updater.exe"); 
         ShRun.lpParameters = _T("-checkforupdates"); 
         ShRun.lpDirectory = _T("updater"); 
         ShRun.nShow = SW_SHOW; 
         ShRun.hInstApp = NULL; 

         // Execute the file with the parameters 
         ShellExecuteEx(&ShRun); 

         // Wait until updater is finished, shouldn't take longer than 120 seconds to check for a new version 
         WaitForSingleObject(ShRun.hProcess, 120000); 

         // Is there a new version available? 
         ULONG lResult = 0; 
         if (GetExitCodeProcess(ShRun.hProcess, &lResult)) 
         { 
			// Is the result a new version?
            if (lResult == 1) 
            { 
               // Show message box 
               if (AfxMessageBox(_T("A new update is available! Do you want to update now?"), MB_ICONQUESTION | MB_YESNO) == IDYES) 
               { 
                  // Launch updater again in full mode (using settings file)
                  ShRun.lpParameters = NULL; 

                  // Run again 
                  ShellExecuteEx(&ShRun); 
               } 
            } 
         } 
      } 
   } 